Package org.pentaho.reporting.libraries.formula.typing

# Class DefaultComparator

java.lang.Object
org.pentaho.reporting.libraries.formula.typing.DefaultComparator

All Implemented Interfaces:
  `ExtendedComparator`

public class DefaultComparator extends Object implements ExtendedComparator
Creation-Date: 03.11.2006, 16:15:28

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`DefaultComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Type type1, Object value1, Type type2, Object value2)`
Returns null, if the types are not comparable and are not convertible at all.
`void`
`inititalize(FormulaContext context)`
`boolean`
`isEqual(Type type1, Object value1, Type type2, Object value2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultComparator

public DefaultComparator()

## Method Details

### inititalize

public void inititalize(FormulaContext context)

### isEqual

public boolean isEqual(Type type1, Object value1, Type type2, Object value2)

Specified by:
  `isEqual` in interface `ExtendedComparator`

### compare

public int compare(Type type1, Object value1, Type type2, Object value2)
Returns null, if the types are not comparable and are not convertible at all.

Specified by:
  `compare` in interface `ExtendedComparator`
Parameters:
  `type1` -
  `value1` -
  `type2` -
  `value2` -
Returns: